PaymentInstructionInformationSDD
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Class PaymentInstructionInformationSDD

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.PaymentInstructionInformationSDD

-     public class PaymentInstructionInformationSDD
      extends java.lang.Object

  Java class for PaymentInstructionInformationSDD complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PaymentInstructionInformationSDD">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}RestrictedIdentificationSEPA1"/>
               <element name="PmtMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}PaymentMethod2Code"/>
               <element name="BtchBookg" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}BatchBookingIndicator" minOccurs="0"/>
               <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}Max15NumericText" minOccurs="0"/>
               <element name="CtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}DecimalNumber" minOccurs="0"/>
               <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}PaymentTypeInformationSDD"/>
               <element name="ReqdColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}ISODate"/>
               <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}PartyIdentificationSEPA5"/>
               <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}CashAccountSEPA1"/>
               <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}BranchAndFinancialInstitutionIdentificationSEPA1"/>
               <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}PartyIdentificationSEPA1" minOccurs="0"/>
               <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}ChargeBearerTypeSEPACode" minOccurs="0"/>
               <element name="CdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}PartyIdentificationSEPA3" minOccurs="0"/>
               <element name="DrctDbtTxInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}DirectDebitTransactionInformationSDD" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `btchBookg`
    `protected PartyIdentificationSEPA5` | `cdtr`
    `protected CashAccountSEPA1` | `cdtrAcct`
    `protected BranchAndFinancialInstitutionIdentificationSEPA1` | `cdtrAgt`
    `protected PartyIdentificationSEPA3` | `cdtrSchmeId`
    `protected ChargeBearerTypeSEPACode` | `chrgBr`
    `protected java.math.BigDecimal` | `ctrlSum`
    `protected java.util.List<DirectDebitTransactionInformationSDD>` | `drctDbtTxInf`
    `protected java.lang.String` | `nbOfTxs`
    `protected java.lang.String` | `pmtInfId`
    `protected PaymentMethod2Code` | `pmtMtd`
    `protected PaymentTypeInformationSDD` | `pmtTpInf`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `reqdColltnDt`
    `protected PartyIdentificationSEPA1` | `ultmtCdtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentInstructionInformationSDD()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartyIdentificationSEPA5` | `getCdtr()` Gets the value of the cdtr property.
    `CashAccountSEPA1` | `getCdtrAcct()` Gets the value of the cdtrAcct property.
    `BranchAndFinancialInstitutionIdentificationSEPA1` | `getCdtrAgt()` Gets the value of the cdtrAgt property.
    `PartyIdentificationSEPA3` | `getCdtrSchmeId()` Gets the value of the cdtrSchmeId property.
    `ChargeBearerTypeSEPACode` | `getChrgBr()` Gets the value of the chrgBr property.
    `java.math.BigDecimal` | `getCtrlSum()` Gets the value of the ctrlSum property.
    `java.util.List<DirectDebitTransactionInformationSDD>` | `getDrctDbtTxInf()` Gets the value of the drctDbtTxInf property.
    `java.lang.String` | `getNbOfTxs()` Gets the value of the nbOfTxs property.
    `java.lang.String` | `getPmtInfId()` Gets the value of the pmtInfId property.
    `PaymentMethod2Code` | `getPmtMtd()` Gets the value of the pmtMtd property.
    `PaymentTypeInformationSDD` | `getPmtTpInf()` Gets the value of the pmtTpInf property.
    `javax.xml.datatype.XMLGregorianCalendar` | `getReqdColltnDt()` Gets the value of the reqdColltnDt property.
    `PartyIdentificationSEPA1` | `getUltmtCdtr()` Gets the value of the ultmtCdtr property.
    `java.lang.Boolean` | `isBtchBookg()` Gets the value of the btchBookg property.
    `void` | `setBtchBookg(java.lang.Boolean value)` Sets the value of the btchBookg property.
    `void` | `setCdtr(PartyIdentificationSEPA5 value)` Sets the value of the cdtr property.
    `void` | `setCdtrAcct(CashAccountSEPA1 value)` Sets the value of the cdtrAcct property.
    `void` | `setCdtrAgt(BranchAndFinancialInstitutionIdentificationSEPA1 value)` Sets the value of the cdtrAgt property.
    `void` | `setCdtrSchmeId(PartyIdentificationSEPA3 value)` Sets the value of the cdtrSchmeId property.
    `void` | `setChrgBr(ChargeBearerTypeSEPACode value)` Sets the value of the chrgBr property.
    `void` | `setCtrlSum(java.math.BigDecimal value)` Sets the value of the ctrlSum property.
    `void` | `setNbOfTxs(java.lang.String value)` Sets the value of the nbOfTxs property.
    `void` | `setPmtInfId(java.lang.String value)` Sets the value of the pmtInfId property.
    `void` | `setPmtMtd(PaymentMethod2Code value)` Sets the value of the pmtMtd property.
    `void` | `setPmtTpInf(PaymentTypeInformationSDD value)` Sets the value of the pmtTpInf property.
    `void` | `setReqdColltnDt(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the reqdColltnDt property.
    `void` | `setUltmtCdtr(PartyIdentificationSEPA1 value)` Sets the value of the ultmtCdtr property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pmtInfId

          protected java.lang.String pmtInfId

    - #### pmtMtd

          protected PaymentMethod2Code pmtMtd

    - #### btchBookg

          protected java.lang.Boolean btchBookg

    - #### nbOfTxs

          protected java.lang.String nbOfTxs

    - #### ctrlSum

          protected java.math.BigDecimal ctrlSum

    - #### pmtTpInf

          protected PaymentTypeInformationSDD pmtTpInf

    - #### reqdColltnDt

          protected javax.xml.datatype.XMLGregorianCalendar reqdColltnDt

    - #### cdtr

          protected PartyIdentificationSEPA5 cdtr

    - #### cdtrAcct

          protected CashAccountSEPA1 cdtrAcct

    - #### cdtrAgt

          protected BranchAndFinancialInstitutionIdentificationSEPA1 cdtrAgt

    - #### ultmtCdtr

          protected PartyIdentificationSEPA1 ultmtCdtr

    - #### chrgBr

          protected ChargeBearerTypeSEPACode chrgBr

    - #### cdtrSchmeId

          protected PartyIdentificationSEPA3 cdtrSchmeId

    - #### drctDbtTxInf

          protected java.util.List<DirectDebitTransactionInformationSDD> drctDbtTxInf

  - ### Constructor Detail

    - #### PaymentInstructionInformationSDD

          public PaymentInstructionInformationSDD()

  - ### Method Detail

    - #### getPmtInfId

          public java.lang.String getPmtInfId()

      Gets the value of the pmtInfId property.
      Returns:
        possible object is `String`

    - #### setPmtInfId

          public void setPmtInfId(java.lang.String value)

      Sets the value of the pmtInfId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPmtMtd

          public PaymentMethod2Code getPmtMtd()

      Gets the value of the pmtMtd property.
      Returns:
        possible object is `PaymentMethod2Code`

    - #### setPmtMtd

          public void setPmtMtd(PaymentMethod2Code value)

      Sets the value of the pmtMtd property.
      Parameters:
        `value` - allowed object is `PaymentMethod2Code`

    - #### isBtchBookg

          public java.lang.Boolean isBtchBookg()

      Gets the value of the btchBookg property.
      Returns:
        possible object is `Boolean`

    - #### setBtchBookg

          public void setBtchBookg(java.lang.Boolean value)

      Sets the value of the btchBookg property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getNbOfTxs

          public java.lang.String getNbOfTxs()

      Gets the value of the nbOfTxs property.
      Returns:
        possible object is `String`

    - #### setNbOfTxs

          public void setNbOfTxs(java.lang.String value)

      Sets the value of the nbOfTxs property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCtrlSum

          public java.math.BigDecimal getCtrlSum()

      Gets the value of the ctrlSum property.
      Returns:
        possible object is `BigDecimal`

    - #### setCtrlSum

          public void setCtrlSum(java.math.BigDecimal value)

      Sets the value of the ctrlSum property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getPmtTpInf

          public PaymentTypeInformationSDD getPmtTpInf()

      Gets the value of the pmtTpInf property.
      Returns:
        possible object is `PaymentTypeInformationSDD`

    - #### setPmtTpInf

          public void setPmtTpInf(PaymentTypeInformationSDD value)

      Sets the value of the pmtTpInf property.
      Parameters:
        `value` - allowed object is `PaymentTypeInformationSDD`

    - #### getReqdColltnDt

          public javax.xml.datatype.XMLGregorianCalendar getReqdColltnDt()

      Gets the value of the reqdColltnDt property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setReqdColltnDt

          public void setReqdColltnDt(javax.xml.datatype.XMLGregorianCalendar value)

      Sets the value of the reqdColltnDt property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getCdtr

          public PartyIdentificationSEPA5 getCdtr()

      Gets the value of the cdtr property.
      Returns:
        possible object is `PartyIdentificationSEPA5`

    - #### setCdtr

          public void setCdtr(PartyIdentificationSEPA5 value)

      Sets the value of the cdtr property.
      Parameters:
        `value` - allowed object is `PartyIdentificationSEPA5`

    - #### getCdtrAcct

          public CashAccountSEPA1 getCdtrAcct()

      Gets the value of the cdtrAcct property.
      Returns:
        possible object is `CashAccountSEPA1`

    - #### setCdtrAcct

          public void setCdtrAcct(CashAccountSEPA1 value)

      Sets the value of the cdtrAcct property.
      Parameters:
        `value` - allowed object is `CashAccountSEPA1`

    - #### getCdtrAgt

          public BranchAndFinancialInstitutionIdentificationSEPA1 getCdtrAgt()

      Gets the value of the cdtrAgt property.
      Returns:
        possible object is `BranchAndFinancialInstitutionIdentificationSEPA1`

    - #### setCdtrAgt

          public void setCdtrAgt(BranchAndFinancialInstitutionIdentificationSEPA1 value)

      Sets the value of the cdtrAgt property.
      Parameters:
        `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA1`

    - #### getUltmtCdtr

          public PartyIdentificationSEPA1 getUltmtCdtr()

      Gets the value of the ultmtCdtr property.
      Returns:
        possible object is `PartyIdentificationSEPA1`

    - #### setUltmtCdtr

          public void setUltmtCdtr(PartyIdentificationSEPA1 value)

      Sets the value of the ultmtCdtr property.
      Parameters:
        `value` - allowed object is `PartyIdentificationSEPA1`

    - #### getChrgBr

          public ChargeBearerTypeSEPACode getChrgBr()

      Gets the value of the chrgBr property.
      Returns:
        possible object is `ChargeBearerTypeSEPACode`

    - #### setChrgBr

          public void setChrgBr(ChargeBearerTypeSEPACode value)

      Sets the value of the chrgBr property.
      Parameters:
        `value` - allowed object is `ChargeBearerTypeSEPACode`

    - #### getCdtrSchmeId

          public PartyIdentificationSEPA3 getCdtrSchmeId()

      Gets the value of the cdtrSchmeId property.
      Returns:
        possible object is `PartyIdentificationSEPA3`

    - #### setCdtrSchmeId

          public void setCdtrSchmeId(PartyIdentificationSEPA3 value)

      Sets the value of the cdtrSchmeId property.
      Parameters:
        `value` - allowed object is `PartyIdentificationSEPA3`

    - #### getDrctDbtTxInf

          public java.util.List<DirectDebitTransactionInformationSDD> getDrctDbtTxInf()

      Gets the value of the drctDbtTxInf property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the drctDbtTxInf property.

      For example, to add a new item, do as follows:

              getDrctDbtTxInf().add(newItem);

      Objects of the following type(s) are allowed in the list `DirectDebitTransactionInformationSDD`